/*
 * Grammar.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Martin Zak
 */

#ifndef GRAMMAR_H_
#define GRAMMAR_H_

#include <base/WrapperBase.hpp>
#include "GrammarBase.h"

namespace grammar {

/**
 * Wrapper around grammars.
 */
class Grammar : public alib::WrapperBase < GrammarBase > {
	using alib::WrapperBase < GrammarBase >::WrapperBase;

public:
	const static std::string XML_TAG_NAME_REF;
};

} /* namespace grammar */

#endif /* GRAMMAR_H_ */
